summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-accessibility/at-spi2-core
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-accessibility/at-spi2-core')
-rw-r--r--app-accessibility/at-spi2-core/Manifest3
-rw-r--r--app-accessibility/at-spi2-core/at-spi2-core-2.12.0-r1.ebuild65
-rw-r--r--app-accessibility/at-spi2-core/at-spi2-core-2.12.0.ebuild50
-rw-r--r--app-accessibility/at-spi2-core/at-spi2-core-2.14.1.ebuild65
-rw-r--r--app-accessibility/at-spi2-core/at-spi2-core-2.16.0.ebuild65
-rw-r--r--app-accessibility/at-spi2-core/files/at-spi2-core-2.0.2-disable-teamspaces-test.patch13
-rw-r--r--app-accessibility/at-spi2-core/metadata.xml5
7 files changed, 266 insertions, 0 deletions
diff --git a/app-accessibility/at-spi2-core/Manifest b/app-accessibility/at-spi2-core/Manifest
new file mode 100644
index 00000000000..f8041bb60fa
--- /dev/null
+++ b/app-accessibility/at-spi2-core/Manifest
@@ -0,0 +1,3 @@
+DIST at-spi2-core-2.12.0.tar.xz 454668 SHA256 db550edd98e53b4252521459c2dcaf0f3b060a9bad52489b9dbadbaedad3fb89 SHA512 955249568e28441201d0a079e26bd703e21716b9189e372bfa20cda70e1079bbb51f62246cdeb1b914953f448e0432b749d402d723710247f2a1b8b343b37ccc WHIRLPOOL 67870b40b3c0e343b3119bae93b23540f8ab2c71137d033c9b4ee000d28a4c66353dae8a72d815367ac8b291471dd3c21d985a0cdd4c6812e43f95ca1931010a
+DIST at-spi2-core-2.14.1.tar.xz 456272 SHA256 eef9660b14fdf0fb1f30d1be7c72d591fa7cbb87b00ca3a444425712f46ce657 SHA512 263f2353961787b510a22ede6243ebd6f9eba7fe00740b252ba372e78a2b4a20bd6ed1a9f509b2e33342fc5516d1e8b95f886573d51962755e51584771ac86b9 WHIRLPOOL 54d02cd41f1039c3b166c01215d983b768011c99b81831fc3256a4dde66b3a2fbff7b0fafa4958bbce367fee164c5f5c90531de11f57d65a1972af009b5afd62
+DIST at-spi2-core-2.16.0.tar.xz 455264 SHA256 1c0b77fb8ce81abbf1d80c0afee9858b3f9229f673b7881995fe0fc16b1a74d0 SHA512 b61cb6dad15e2a6f6cd4788e6b63fed37d0098a56d1417b43aed2ba111a7dd7fccbe7c393f0be794bcaf900f38decbd3974c36e395548000d429086f8717df57 WHIRLPOOL 556c504ba9aef2e4ad2b63e3b4d0417ce24a49fafd45287cf3d669612c2d23058f3e7b373a69a569d63938a0333b62d5c601e8a0f1f4b78d0252bea4b64ede3e
diff --git a/app-accessibility/at-spi2-core/at-spi2-core-2.12.0-r1.ebuild b/app-accessibility/at-spi2-core/at-spi2-core-2.12.0-r1.ebuild
new file mode 100644
index 00000000000..6a040714f58
--- /dev/null
+++ b/app-accessibility/at-spi2-core/at-spi2-core-2.12.0-r1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2 multilib-minimal
+
+DESCRIPTION="D-Bus accessibility specifications and registration daemon"
+HOMEPAGE="http://live.gnome.org/Accessibility"
+
+LICENSE="LGPL-2+"
+SLOT="2"
+IUSE="+X +introspection"
+KEYWORDS="~alpha ~amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
+
+# x11-libs/libSM is needed until upstream #719808 is solved either
+# making the dep unneeded or fixing their configure
+# Only libX11 is optional right now
+COMMON_DEPEND="
+ >=dev-libs/glib-2.36:2[${MULTILIB_USEDEP}]
+ >=sys-apps/dbus-1[${MULTILIB_USEDEP}]
+ x11-libs/libSM[${MULTILIB_USEDEP}]
+ x11-libs/libXi[${MULTILIB_USEDEP}]
+ x11-libs/libXtst[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-0.9.6 )
+ X? ( x11-libs/libX11[${MULTILIB_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+ abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-gtklibs-20140508-r3
+ !app-emulation/emul-linux-x86-gtklibs[-abi_x86_32(-)]
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/gtk-doc-am-1.9
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig[${MULTILIB_USEDEP}]
+"
+
+src_prepare() {
+ # disable teamspaces test since that requires Novell.ICEDesktop.Daemon
+ epatch "${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ # xevie is deprecated/broken since xorg-1.6/1.7
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --disable-xevie \
+ $(multilib_native_use_enable introspection) \
+ $(use_enable X x11)
+
+ # work-around gtk-doc out-of-source brokedness
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/libatspi/html doc/libatspi/html || die
+ fi
+}
+
+multilib_src_compile() { gnome2_src_compile; }
+multilib_src_install() { gnome2_src_install; }
diff --git a/app-accessibility/at-spi2-core/at-spi2-core-2.12.0.ebuild b/app-accessibility/at-spi2-core/at-spi2-core-2.12.0.ebuild
new file mode 100644
index 00000000000..ee6ab161617
--- /dev/null
+++ b/app-accessibility/at-spi2-core/at-spi2-core-2.12.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2
+
+DESCRIPTION="D-Bus accessibility specifications and registration daemon"
+HOMEPAGE="http://live.gnome.org/Accessibility"
+
+LICENSE="LGPL-2+"
+SLOT="2"
+IUSE="+X +introspection"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
+
+# x11-libs/libSM is needed until upstream #719808 is solved either
+# making the dep unneeded or fixing their configure
+# Only libX11 is optional right now
+RDEPEND="
+ >=dev-libs/glib-2.36:2
+ >=sys-apps/dbus-1
+ x11-libs/libSM
+ x11-libs/libXi
+ x11-libs/libXtst
+ introspection? ( >=dev-libs/gobject-introspection-0.9.6 )
+ X? ( x11-libs/libX11 )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.9
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ # disable teamspaces test since that requires Novell.ICEDesktop.Daemon
+ epatch "${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # xevie is deprecated/broken since xorg-1.6/1.7
+ gnome2_src_configure \
+ --disable-xevie \
+ $(use_enable introspection) \
+ $(use_enable X x11)
+}
diff --git a/app-accessibility/at-spi2-core/at-spi2-core-2.14.1.ebuild b/app-accessibility/at-spi2-core/at-spi2-core-2.14.1.ebuild
new file mode 100644
index 00000000000..70660003764
--- /dev/null
+++ b/app-accessibility/at-spi2-core/at-spi2-core-2.14.1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2 multilib-minimal
+
+DESCRIPTION="D-Bus accessibility specifications and registration daemon"
+HOMEPAGE="http://live.gnome.org/Accessibility"
+
+LICENSE="LGPL-2+"
+SLOT="2"
+IUSE="+X +introspection"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
+
+# x11-libs/libSM is needed until upstream #719808 is solved either
+# making the dep unneeded or fixing their configure
+# Only libX11 is optional right now
+COMMON_DEPEND="
+ >=dev-libs/glib-2.36:2[${MULTILIB_USEDEP}]
+ >=sys-apps/dbus-1[${MULTILIB_USEDEP}]
+ x11-libs/libSM[${MULTILIB_USEDEP}]
+ x11-libs/libXi[${MULTILIB_USEDEP}]
+ x11-libs/libXtst[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-0.9.6 )
+ X? ( x11-libs/libX11[${MULTILIB_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+ abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-gtklibs-20140508-r3
+ !app-emulation/emul-linux-x86-gtklibs[-abi_x86_32(-)]
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/gtk-doc-am-1.9
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig[${MULTILIB_USEDEP}]
+"
+
+src_prepare() {
+ # disable teamspaces test since that requires Novell.ICEDesktop.Daemon
+ epatch "${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ # xevie is deprecated/broken since xorg-1.6/1.7
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --disable-xevie \
+ $(multilib_native_use_enable introspection) \
+ $(use_enable X x11)
+
+ # work-around gtk-doc out-of-source brokedness
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/libatspi/html doc/libatspi/html || die
+ fi
+}
+
+multilib_src_compile() { gnome2_src_compile; }
+multilib_src_install() { gnome2_src_install; }
diff --git a/app-accessibility/at-spi2-core/at-spi2-core-2.16.0.ebuild b/app-accessibility/at-spi2-core/at-spi2-core-2.16.0.ebuild
new file mode 100644
index 00000000000..ef52d210951
--- /dev/null
+++ b/app-accessibility/at-spi2-core/at-spi2-core-2.16.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2 multilib-minimal
+
+DESCRIPTION="D-Bus accessibility specifications and registration daemon"
+HOMEPAGE="http://live.gnome.org/Accessibility"
+
+LICENSE="LGPL-2+"
+SLOT="2"
+IUSE="+X +introspection"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
+
+# x11-libs/libSM is needed until upstream #719808 is solved either
+# making the dep unneeded or fixing their configure
+# Only libX11 is optional right now
+COMMON_DEPEND="
+ >=dev-libs/glib-2.36:2[${MULTILIB_USEDEP}]
+ >=sys-apps/dbus-1[${MULTILIB_USEDEP}]
+ x11-libs/libSM[${MULTILIB_USEDEP}]
+ x11-libs/libXi[${MULTILIB_USEDEP}]
+ x11-libs/libXtst[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-0.9.6 )
+ X? ( x11-libs/libX11[${MULTILIB_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+ abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-gtklibs-20140508-r3
+ !app-emulation/emul-linux-x86-gtklibs[-abi_x86_32(-)]
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/gtk-doc-am-1.9
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig[${MULTILIB_USEDEP}]
+"
+
+src_prepare() {
+ # disable teamspaces test since that requires Novell.ICEDesktop.Daemon
+ epatch "${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ # xevie is deprecated/broken since xorg-1.6/1.7
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --disable-xevie \
+ $(multilib_native_use_enable introspection) \
+ $(use_enable X x11)
+
+ # work-around gtk-doc out-of-source brokedness
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/libatspi/html doc/libatspi/html || die
+ fi
+}
+
+multilib_src_compile() { gnome2_src_compile; }
+multilib_src_install() { gnome2_src_install; }
diff --git a/app-accessibility/at-spi2-core/files/at-spi2-core-2.0.2-disable-teamspaces-test.patch b/app-accessibility/at-spi2-core/files/at-spi2-core-2.0.2-disable-teamspaces-test.patch
new file mode 100644
index 00000000000..269236d177e
--- /dev/null
+++ b/app-accessibility/at-spi2-core/files/at-spi2-core-2.0.2-disable-teamspaces-test.patch
@@ -0,0 +1,13 @@
+diff --git a/dbind/dbtest.c b/dbind/dbtest.c
+index e8bbb63..9843c3d 100644
+--- a/dbind/dbtest.c
++++ b/dbind/dbtest.c
+@@ -417,7 +417,7 @@ int main (int argc, char **argv)
+
+ test_helpers ();
+ test_marshalling ();
+- test_teamspaces (bus);
++ /* test_teamspaces (bus); */
+
+ return 0;
+ }
diff --git a/app-accessibility/at-spi2-core/metadata.xml b/app-accessibility/at-spi2-core/metadata.xml
new file mode 100644
index 00000000000..d9f21e6a89d
--- /dev/null
+++ b/app-accessibility/at-spi2-core/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnome-accessibility</herd>
+</pkgmetadata>